/*Entiereté du header*/
header {
  background-color: #4a4a4b;
  height: 3.5em;
  width: 100%;
  font-family: system-ui;
  font-weight: 2;
  color: white;
  display: flex;
  flex-flow: row;
  margin-bottom: auto;
  box-shadow: 0px 1px 2px 1px rgba(0, 0, 0, 0.3);
}

/*Gère l'apparence de toute la navigation*/
nav {
  width: 75%;
}

/*Gère les enfants en ul dans la navigation*/
nav > ul {
  display: flex;
  text-align: center;
}

nav ul {
  list-style-type: none;
}

/*Gère les enfants de nav et d'ul en liste*/
nav > ul > li {
  background-color: #4a4a4b;
  position: relative;
  height: 100%;
  flex: 1;
}

/*Gère tous les liens associés à un li*/
li a {
  text-decoration: none;
  color: white;
}

/*Gère l'apparence du chevron qui apparaît en bout de titre*/
.scrolling_menu > a:after {
  content: ">";
  font-size: 18px;
  margin-left: 7px;
  display: inline-block;
}

#sous-menu {
  width: 100%;
  text-align: left;
  overflow: hidden;
  max-height: 0;
  background-color: #4a4a4b;
  border-radius: 3px;
  line-height: 2.5em;
}

.scrolling_menu:hover > #sous-menu {
  animation: apparitionSousMenu 1s forwards;
}

/*Gère les frames de l'apparition des sous menus pour que ce ne soit pas trop violent*/
@keyframes apparitionSousMenu {
  0% {
    box-shadow: 0px 2px 2px 1px rgba(0, 0, 0, 0);
    border-top: 3px solid white;
  }
  30% {
    box-shadow: 0px 2px 2px 1px rgba(0, 0, 0, 0.3);
  }
  100% {
    max-height: 50em;
    border-top: 3px solid white;
    box-shadow: 0px 2px 2px 1px rgba(0, 0, 0, 0.3);
  }
}

.logo_name {
  display: flex;
  flex-flow: row;
  justify-content: center;
  align-items: center;
}

#logo_robot {
  height: 3em;
  width: 3em;
}

.club_cesi a {
  display: flex;
  flex-wrap: nowrap;
  text-decoration: none;
  color: white;
  font-weight: 300;
  margin-left: 1.5em;
  text-align: center;
}

.hamburger{
  display: none;
}

/*Gère l'apparence du menu hamburger lors de l'utilisation sur un téléphone portable*/
@media (max-width: 760px) {
  header{
    height: 5em;
  }
}

@media (max-width: 600px) {
  .hamburger{
    display: flex;
    cursor: pointer;
    height: 100%;
    align-items: center;
  }
  #pic_hamburger{
    height: 3em;
    margin-left: 1em;
  }
  #presentation{
    display: none;
  }
  #navigation{
    visibility: hidden;
    color: white;
    text-decoration: none;
    font-size: 17px;
    display: block;
    line-height: 2.5em;
    width: 100%;
    padding-left: 0;
    margin-top:0;
    text-align:left;
  }
  .scrolling_menu:hover > #sous-menu {
    animation: none;
  }
  .scrolling_menu > a:after {
    content: none;
    font-size: 18px;
    margin-left: 7px;
    display: inline-block;
  }
  #sous-menu {
    position: relative;
    padding-left:0;
    text-align: left;
    display:contents;
  }
  #navigation a{
    padding-left:1em;
  }
}
